<div fxLayout="column" class="mat-elevation-z0">
    <form name="form" (ngSubmit)="f.valid && confirm()" #f="ngForm" novalidate fxLayout="column"
          fxLayoutAlign="space-between around">
        <div fxLayout="column">
            <mat-card fxLayout="column" class="mat-elevation-z6 boxed-container">
                <h2 class="text-bold title center">Carica i tuoi report</h2>
                <div fxLayout="row">
                    <div fxLayout="column" class="attachElement mat-elevation-z2" fxFlex="10">
                        <button type="button" class="blacktext" mat-button [disabled]="loading"
                                (click)="inputFileSelection(inputFile)" style="margin: auto auto 0">
                            <mat-icon>attachment</mat-icon>
                        </button>
                        <span class="blacktext" style="margin:0 auto auto">Allega file</span>
                    </div>

                    <file-drop (onFileDrop)="dropped($event)" fxLayout="column" class="mat-elevation-z2 attachElement"
                               fxFlex="60">
                        <div fxLayout="column">
                            <mat-icon class="blacktext" style="margin: 14px auto 0">file_upload</mat-icon>
                            <span class="blacktext">Trascina qui i tuoi file</span>
                        </div>
                    </file-drop>
                    <div fxFlex class="mat-elevation-z2">
                        Specifiche file
                        <ul>
                            <li>formati accettati: {{allowedExts.toString()}}</li>
                            <li>dimensione massima {{maxSize | bytes : 0}}</li>
                        </ul>
                    </div>
                </div>
            </mat-card>
            <div fxLayout="column" class="mat-elevation-z6 boxed-container">
                <h2 class="text-bold title center">Invia i tuoi report</h2>
                <div fxLayout="row">
                    <mat-list class="mat-elevation-z0" fxFlex>
                        <mat-list-item
                                *ngFor="let item of model.files; index as i"
                                class="mat-elevation-z0 ">
                            <mat-icon class="attachment">attachment</mat-icon>
                            {{ item.name }} - {{item.size | bytes : 2}} -
                            {{item.lastModified | date : 'dd/MM/yyyy, HH:mm:ss'}}
                            <span style="flex: 1 1 auto"></span>
                            <button type="button" mat-button color="warn" (click)="deleteFile(i)"
                                    matTooltip="Elimina Allegato">
                                <mat-icon>delete</mat-icon>
                            </button>
                        </mat-list-item>
                    </mat-list>
                    <button class="sendButton" mat-raised-button color="primary" [disabled]="loading" type="submit">
                        <span class="whitetext">Invia Report</span>
                    </button>
                    <div class="bottom">
                        <input type="file" #inputFile placeholder="Carica File..." style="display: none"
                               (change)="dropped($event.srcElement)" multiple>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<div #canaliNonAttiviDiv hidden>
  Non saranno accettate eventuali dichiarazioni per i seguenti canali:
  <mat-list style=" flex-grow: 1; overflow: auto;">
    <mat-list-item *ngFor="let canale of canaliNonAttivi">
      <span class="text-bold">{{canale.nome}}</span>,
      non più attivo dal
      <span class="text-bold">&nbsp;{{canale.dataFineValid | date: 'dd/MM/yyyy'}}</span>
    </mat-list-item>
  </mat-list>
  <br>
</div>
